*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Press Start 2P', cursive;
    position: relative;
  
}


:root {
    --color-primary: #6c63ff;
    --color-success: #00bf8e;
    --color-warning: #f7c94b;
    --color-danger: #f75842;
    --color-danger-variant: rgba(247, 88, 66, 0.4);
    --color-white: #fff;
    --color-light: rgba(255, 255, 255, 0.7);
    --color-black: #000;
    --color-bg: #1f2641;
    --color-bg1: #2e3267;
    --color-bg2: #424890;
   
  }




html , body{
    height: 100%;
    width: 100%;
}



.main {
    
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
    justify-content: center;
    min-height: 100vh;

}

.bg img {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1; /* Place the image behind other content */
  }
  
.pannel {
    border-style: solid ;
    border-color:  rgb(0, 0, 0);
    overflow: hidden;
    height: 80%;
    width: 80%;
    background-color:  #f757422c;
    border-radius: 10px;
}

.ptop {
    border-bottom: 3px solid black;
    justify-content: space-between;
    padding: 0px 5%;
    display: flex;
    color: #ffffff;
    align-items: center;
    width: 100%;
    height: 100px;
    background-color: #6c63ff;
}


.elem {
    background-color: #f75842;
    display: flex;
   align-items: center;
   justify-content: center;
   gap: 10px;
   border: 3px solid black; /* Add border properties */
   padding: 10px; /* Add padding to give some space between content and border */
   border-radius: 10px;
   /* justify-content: space-between; */
   /* box-shadow: 0 0 10px 5px rgba(221, 191, 21, 0.7); */
    /* Add a maximum width for responsiveness */
    overflow:hidden ;
    padding-left: 8px;
}



.elem h3{
    
    display: flex;
    font-size: 15px;
  
    padding: 0 10px;
    border-radius: 20px;
    color: #000000;
}


.box {
    /* border-style: solid ;
    border-color:  rgb(0, 0, 0); */
    
    height: 40px;
    width: 40px;
    color: black;
    display: flex;
align-items: center;
justify-content: center;
    font-weight: 700;
    font-size: 15px;
    padding: 10px;
    
    border-radius: 5px;
}

.pbtm {
    justify-content: center;
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding: 20px;
    width: 100%;
    height: calc(100% - 100px);
}


.bubble {
    border-style: solid ;
    border-color:  rgb(0, 0, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
    background-color: rgb(221, 191, 21);
    color: rgb(0, 0, 0);
    border-radius: 50%;
    font-weight: 500;
    font-size: 20px; /* Increase the font size as desired */
    transition: box-shadow 0.3s ease-in-out;
}


.bubble:hover {
    box-shadow: 0 0 10px 5px rgba(221, 191, 21, 0.7);
    cursor: pointer;
    background-color: #f75842;;
}



@media (max-width: 666px) {
    .ptop {
        height: 60px;
        padding: 0 5%;
    }

    .pbtm {
        justify-content: center;
        text-align: center;
        display: flex;
        height: calc(100% - 60px);
        padding-top: 15px;
        padding-bottom: 10px;
        overflow: hidden;
    }

    .main {
        background-position: center;
        background-size: contain;
    }

    .elem {
        height: 25px;
        font-size: 12px;
    }

    .box {
        font-size: 8px;
    }

    .elem h3 {
        font-size: 8px;
    }

    .bubble {
        height: 30px;
        width: 30px;
        font-size: 14px;
    }
}
